org.jgroups

## Class ReceiverAdapter

- java.lang.Object
- - org.jgroups.ReceiverAdapter

All Implemented Interfaces:
  MembershipListener, MessageListener, Receiver

Direct Known Subclasses:
  MyReceiver, RELAY.Receiver, RelayDemoRpc, ReplicatedTree, ViewDemo

    public class ReceiverAdapter
    extends java.lang.Object
    implements Receiver

Author:
  Bela Ban

### Constructor Summary

Constructors
Constructor and Description
`ReceiverAdapter()`

### Method Summary

Methods
`void` `block()` Called (usually by the FLUSH protocol), as an indication that the member should stop sending messages.
`byte[]` `getState()` Answers the group state; e.g., when joining.
`void` `receive(Message msg)` Called when a message is received.
`void` `setState(byte[] state)` Sets the group state; e.g., when joining.
`void` `suspect(Address mbr)` Called whenever a member is suspected of having crashed, but has not yet been excluded.
`void` `viewAccepted(View view)` Called when a change in membership has occurred.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReceiverAdapter

    public ReceiverAdapter()

### Method Detail

#### receive

    public void receive(Message msg)

Description copied from interface: `MessageListener`
Called when a message is received.

Specified by:
  `receive` in interface `MessageListener`

#### getState

    public byte[] getState()

Description copied from interface: `MessageListener`
Answers the group state; e.g., when joining.

Specified by:
  `getState` in interface `MessageListener`
Returns:
  byte[]

#### setState

    public void setState(byte[] state)

Description copied from interface: `MessageListener`
Sets the group state; e.g., when joining.

Specified by:
  `setState` in interface `MessageListener`

#### viewAccepted

    public void viewAccepted(View view)

Description copied from interface: `MembershipListener`
Called when a change in membership has occurred. No long running actions or sending of messages should be done in this callback. If some long running action needs to be performed, it should be done in a separate thread.

Note that on reception of the first view (a new member just joined), the channel will not yet be in the connected state. This only happens when `Channel.connect(String)` returns.

Specified by:
  `viewAccepted` in interface `MembershipListener`

#### suspect

    public void suspect(Address mbr)

Description copied from interface: `MembershipListener`
Called whenever a member is suspected of having crashed, but has not yet been excluded.

Specified by:
  `suspect` in interface `MembershipListener`

#### block

    public void block()

Description copied from interface: `MembershipListener`
Called (usually by the FLUSH protocol), as an indication that the member should stop sending messages. Any messages sent after returning from this callback might get blocked by the FLUSH protocol. When the FLUSH protocol is done, and messages can be sent again, the FLUSH protocol will simply unblock all pending messages. If a callback for unblocking is desired, implement `ExtendedMembershipListener.unblock()`. Note that block() is the equivalent of reception of a BlockEvent in the pull mode.

Specified by:
  `block` in interface `MembershipListener`